package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.WFUIWizardMapper;
import com.sa.ibiz.demo.demo.domain.WFUIWizard;
import com.sa.ibiz.demo.demo.service.WFUIWizardService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.WFUIWizardSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[WFUIWizard] 服务对象接口实现
 */
@Service
public class WFUIWizardServiceImpl extends ServiceImplBase<WFUIWizardMapper, WFUIWizard> implements WFUIWizardService{


    @Resource
    private WFUIWizardMapper wfuiwizardMapper;


    @Override
    public boolean create(WFUIWizard et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(WFUIWizard et){
        this.beforeUpdate(et);
		this.wfuiwizardMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(WFUIWizard et){
		return et.getWfuiwizardid();  
    }

    @Override
    public boolean getDraft(WFUIWizard et)  {
            return true;
    }

	public List<WFUIWizard> listDefault(WFUIWizardSearchFilter filter) {
		return wfuiwizardMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<WFUIWizard> searchDefault(WFUIWizardSearchFilter filter) {
		return wfuiwizardMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return wfuiwizardMapper.selectRow(sql);
    }

 }